Skip site navigation (1) Skip section navigation (2)

Re: Compiling on FreeBSD 2.2.x? (-export-dynamic unavailable)

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: Are Bryne <are-pgsql-ports(at)communique(dot)no>
Cc: pgsql-ports(at)postgresql(dot)org
Subject: Re: Compiling on FreeBSD 2.2.x? (-export-dynamic unavailable)
Date: 2002-01-25 20:47:31
Message-ID: 5312.1011991651@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-ports
Are Bryne <are-pgsql-ports(at)communique(dot)no> writes:
> # Assume system is ELF if it predefines __ELF__ as 1,
> # otherwise believe host_os based default.
> case $host_os in
>   freebsd1*|freebsd2*) elf=yes;;
> esac

> Since $host_os is being picked up as freebsd2.2.8, this makes elf default.

Argh, that's what I get for looking at current sources and not 7.1.3.
In current sources we have

# Assume system is ELF if it predefines __ELF__ as 1,
# otherwise believe host_os based default.
case $host_os in
    freebsd1*|freebsd2*) elf=no;;
    freebsd3*|freebsd4*) elf=yes;;
esac

so obviously somebody figured out that freebsd2 is not using elf.
Hacking configure as you did is the right answer for 7.1.

> /usr/bin/ld -x -Bshareable -Bforcearchive execute.o typename.o
> descriptor.o data.o error.o prepare.o memory.o connect.o misc.o
> -L../../../../src/interfaces/libpq -lpq  -o libecpg.so.3.2.0
> ld: no shared -lssl.2.-1 available

I don't think we can help you here.  Either deselect SSL support
or install a sharable OpenSSL library.

			regards, tom lane

In response to

Responses

pgsql-ports by date

Next:From: Are BryneDate: 2002-01-25 20:56:00
Subject: Re: Compiling on FreeBSD 2.2.x? (-export-dynamic unavailable)
Previous:From: Are BryneDate: 2002-01-25 20:41:59
Subject: Re: Compiling on FreeBSD 2.2.x? (-export-dynamic unavailable)

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group